Package uk.ac.starlink.topcat.activate

# Enum Class ActivationLogPanel.Status

java.lang.Object
java.lang.Enum<ActivationLogPanel.Status>
uk.ac.starlink.topcat.activate.ActivationLogPanel.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<ActivationLogPanel.Status>`, `Constable`

Enclosing class:
  ActivationLogPanel

public static enum ActivationLogPanel.Status extends Enum<ActivationLogPanel.Status>
Status of completed activation action.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CANCELLED`
Action aborted before it had time to complete.
`FAIL`
Failed completion.
`OK`
Successful completion.

## Method Summary

Modifier and Type
Method
Description
`static ActivationLogPanel.Status`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ActivationLogPanel.Status[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OK

public static final ActivationLogPanel.Status OK
Successful completion.

### FAIL

public static final ActivationLogPanel.Status FAIL
Failed completion.

### CANCELLED

public static final ActivationLogPanel.Status CANCELLED
Action aborted before it had time to complete.

## Method Details

### values

public static ActivationLogPanel.Status[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ActivationLogPanel.Status valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null